Package org.eclipse.emf.cdo.spi.server

# Interface InternalTransaction

All Superinterfaces:
  `CDOBranchPoint`, `CDOBranchProvider`, `CDOCommonTransaction`, `CDOCommonView`, `CDORevisionProvider`, `CDOTimeProvider`, `org.eclipse.net4j.util.collection.Closeable`, `IAdaptable`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.event.INotifier`, `InternalView`, `org.eclipse.net4j.util.options.IOptionsContainer`, `org.eclipse.net4j.util.properties.IPropertiesContainer`, `ITransaction`, `IView`

public interface InternalTransaction extends ITransaction, InternalView
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`InternalTransaction.CommitAttempt`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

`CDOCommonView.Options`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`INVALID_DATE, UNSPECIFIED_DATE`

## Method Summary

Modifier and Type
Method
Description
`InternalCommitContext`
`createCommitContext()`
`InternalTransaction.CommitAttempt`
`getLastCommitAttempt()`
`void`
`setLastCommitAttempt(InternalTransaction.CommitAttempt lastCommitAttempt)`

### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`getBranch, getTimeStamp`

### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonView

`getDurableLockingID, getLockOwner, getSessionID, getViewID, isDurableView, isHistorical, isReadOnly, options`

### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

`getRevision`

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.concurrent.IExecutorServiceProvider

`getExecutorService`

### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`activate, deactivate, getLifecycleState, isActive`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.emf.cdo.spi.server.InternalView

`changeTarget, clearChangeSubscription, closeUnit, doClose, getRepository, getSession, hasSubscription, inverseClose, isInOpenUnit, openUnit, setBranchPoint, setDurableLockingID, subscribe, unsubscribe`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

`properties`

## Method Details

### createCommitContext

InternalCommitContext createCommitContext()

### getLastCommitAttempt

InternalTransaction.CommitAttempt getLastCommitAttempt()

Since:
  4.5

### setLastCommitAttempt

void setLastCommitAttempt(InternalTransaction.CommitAttempt lastCommitAttempt)

Since:
  4.5